ZIP_SOURCE_FREE(3) | Library Functions Manual | ZIP_SOURCE_FREE(3)

# NAME

`zip_source_free` —
free zip data source

# LIBRARY

libzip (-lzip)

# SYNOPSIS

`#include <zip.h>`

void
`zip_source_free`(zip_source_t *source);

# DESCRIPTION

The function `zip_source_free`() decrements the reference count of source and frees it if the reference count drops to 0. If source is `NULL`, it does nothing.

NOTE: This function should not be called on a source after it was used successfully in a zip_open_from_source(3), zip_file_add(3), or zip_file_replace(3) call.

# SEE ALSO

libzip(3), zip_source(3), zip_source_keep(3)

# HISTORY

`zip_source_free`() was added in libzip 0.6.

# AUTHORS

Dieter Baron <dillo@nih.at> and Thomas Klausner <wiz@gatalith.at>

December 18, 2017 | NiH